<?php

namespace General\Helpers;

/**
 * excel 工具类
 */
class ExcelHelper
{
    /**
     * web端导出csv文件
     * @param array $column_names 列名
     * @param array $data 导出数据内容
     * @param string $filename 导出文件名
     */
    public static function exportWebFileCsv(array $column_names, array $data, string $filename)
    {
        header("Content-type:application/vnd.ms-excel");
        header("Content-Disposition:attachment;filename=" . $filename . ".csv");
        $column_names = collect($column_names)->map(function ($item) {
            return "\"" . mb_convert_encoding($item, "GBK", "UTF-8") . "\"";
        })->all();
        echo implode(",", $column_names);
        echo "\r\n";
        foreach ($data as $item) {
            $rows = collect($item)->map(function ($row) {
                return "\"" . mb_convert_encoding(is_numeric($row) && strlen($row) > 10 ? "'" . $row : $row, "GBK", "UTF-8") . "\"";
            })->all();
            echo implode(",", $rows);
            echo "\r\n";
        }
        exit();
    }
}
