<?php

namespace General\Requests;

use General\Services\LandingPage\LandingPageLinkService;
use Illuminate\Validation\Rule;

class LandingPageLinkRequest extends Request
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'id' => 'integer',
            'status' => 'integer',
            'appid' => 'required|string',
            'gzh_code' => 'required|string',
            'gzh_name' => 'required|string',
            'gzh_img' => 'required',
            'domain' => 'required|string',
            'company_name' => 'required|string',
            'gzh_suffix_mode' => 'required|integer',
            'gzh_suffix' => 'required_if:gzh_suffix_mode,1|string',
            'sub_img' => 'required',
            'link_source' => Rule::in(LandingPageLinkService::link_source_array),
            'gzh_biz' => 'required_if:link_source,vivo|string',
            'filing' => 'required_if:link_source,vivo|string',
            'adid' => 'required_if:link_source,baidu|integer',
        ];
    }
}
