<?php

namespace General\Services\LandingPage\ChargeFeedBack;

use App\Consts\BaseConst;
use General\Models\Report\ReportUserBindRecord;
use General\Models\User\User;
use General\Services\LandingPage\Report;
use General\Services\Report\BaseReport;

/**
 * qapp付费重传
 */
class QappRereport
{
    public function reportInstance(string $link_source): BaseReport
    {
        $name  = 'Qapp' . ucfirst($link_source) . 'Report';
        $namespace = "\\General\\Services\\Report\\{$name}";
        $instance = new $namespace;
        return $instance;
    }

    public function addReportCount(ReportUserBindRecord $report_user)
    {
        $service = new Report;
        $user = User::find($report_user->uid);
        $service->report('api/report/add', [
            'source' => BaseConst::Platform,
            'adid' => $report_user->adid,
            'channel_id' => $user->distribution_channel_id,
            'send_order_id' => $user->send_order_id,
        ]);
    }
}
